Commit 424aee55 authored by Łukasz Nowak's avatar Łukasz Nowak Committed by Rafael Monnerat

slapos_web_deploy: Support CentOS 7.4

ansible1.9.noarch is not available on CentOS, so just install standard
ansible. It is >=2.x, but erp5-standalone.yml playbook works with it.

/reviewed-on !33
parent 5018a941
......@@ -129,7 +129,11 @@ if is_ubuntu; then
is_package_installed ansible || install_package ansible=1.*
elif is_fedora; then
# is_fedora also handle CentOS distro
is_package_installed ansible || install_package ansible1.9.noarch
if [[ "$os_VENDOR" =~ (CentOS) ]] ; then
is_package_installed ansible || install_package ansible
else
is_package_installed ansible || install_package ansible1.9.noarch
fi
else
is_package_installed ansible || install_package ansible
fi
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment